{
    "objects": [
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"index\": \"metricbeat-*\", \"filter\": []}"
                },
                "title": "Container CPU usage [Metricbeat System] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"params\": {\"totalFunc\": \"sum\", \"perPage\": 10, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"showPartialRows\": false, \"showMeticsAtAllLevels\": false, \"showTotal\": false}, \"aggs\": [{\"params\": {\"field\": \"system.process.cgroup.cpuacct.stats.user.ns\", \"customLabel\": \"CPU user\"}, \"id\": \"1\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.cpu.cfs.quota.us\", \"customLabel\": \"CPU quota\"}, \"id\": \"2\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"system.process.cgroup.id\", \"customLabel\": \"Container ID\", \"size\": 5}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"field\": \"system.process.cgroup.cpu.stats.throttled.ns\", \"customLabel\": \"CPU throttling\"}, \"id\": \"4\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.cpuacct.stats.system.ns\", \"customLabel\": \"CPU kernel\"}, \"id\": \"5\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"process.name\", \"customLabel\": \"Process name\", \"size\": 5}, \"id\": \"6\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}], \"type\": \"table\", \"title\": \"Container CPU usage [Metricbeat System] ECS\"}"
            },
            "id": "Container-CPU-usage-ecs",
            "type": "visualization",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "System Navigation [Metricbeat System] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"fontSize\": 12, \"markdown\": \"[System Overview](#/dashboard/Metricbeat-system-overview-ecs)  | [Host Overview](#/dashboard/79ffd6e0-faa0-11e6-947f-177f697178b8-ecs) |\\n[Containers overview](#/dashboard/CPU-slash-Memory-per-container-ecs)\"}, \"aggs\": [], \"type\": \"markdown\", \"title\": \"System Navigation [Metricbeat System] ECS\"}"
            },
            "id": "System-Navigation-ecs",
            "type": "visualization",
            "version": 3
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"index\": \"metricbeat-*\", \"filter\": []}"
                },
                "title": "Container Memory stats [Metricbeat System] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"params\": {\"totalFunc\": \"sum\", \"perPage\": 10, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"showPartialRows\": false, \"showMeticsAtAllLevels\": false, \"showTotal\": false}, \"aggs\": [{\"params\": {\"field\": \"system.process.cgroup.memory.mem.usage.bytes\", \"customLabel\": \"Usage\"}, \"id\": \"13\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.memory.mem.usage.max.bytes\", \"customLabel\": \"Max usage\"}, \"id\": \"14\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.memory.stats.page_faults\", \"customLabel\": \"Page faults\"}, \"id\": \"1\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.memory.stats.pages_in\", \"customLabel\": \"Pages in memory\"}, \"id\": \"2\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.memory.stats.pages_out\", \"customLabel\": \"Pages out of memory\"}, \"id\": \"3\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"system.process.cgroup.id\", \"customLabel\": \"Container ID\", \"size\": 50}, \"id\": \"4\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"field\": \"system.process.cgroup.memory.stats.inactive_file.bytes\", \"customLabel\": \"Inactive files\"}, \"id\": \"5\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.memory.stats.major_page_faults\", \"customLabel\": \"# Major page faults\"}, \"id\": \"6\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"process.name\", \"customLabel\": \"Process name\", \"size\": 5}, \"id\": \"8\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"field\": \"system.process.cgroup.memory.mem.failures\", \"customLabel\": \"Failures\"}, \"id\": \"12\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.memory.kmem_tcp.usage.bytes\", \"customLabel\": \"TCP buffers\"}, \"id\": \"10\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.memory.stats.rss_huge.bytes\", \"customLabel\": \"Huge pages\"}, \"id\": \"11\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.memory.stats.rss.bytes\", \"customLabel\": \"Swap caches\"}, \"id\": \"7\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.memory.stats.swap.bytes\", \"customLabel\": \"Swap usage\"}, \"id\": \"15\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.blkio.total.ios\", \"customLabel\": \"Block I/O\"}, \"id\": \"16\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}], \"type\": \"table\", \"title\": \"Container Memory stats [Metricbeat System] ECS\"}"
            },
            "id": "Container-Memory-stats-ecs",
            "type": "visualization",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"index\": \"metricbeat-*\", \"filter\": []}"
                },
                "title": "Container Block IO [Metricbeat System] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"params\": {\"totalFunc\": \"sum\", \"perPage\": 10, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"showPartialRows\": false, \"showMeticsAtAllLevels\": false, \"showTotal\": false}, \"aggs\": [{\"params\": {\"field\": \"system.process.cgroup.blkio.total.bytes\", \"customLabel\": \"Total\"}, \"id\": \"1\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"system.process.cgroup.blkio.total.ios\", \"customLabel\": \"I/O\"}, \"id\": \"2\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"system.process.cgroup.id\", \"customLabel\": \"Container ID\", \"size\": 5}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"process.name\", \"customLabel\": \"Process name\", \"size\": 5}, \"id\": \"4\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}], \"type\": \"table\", \"title\": \"Container Block IO [Metricbeat System] ECS\"}"
            },
            "id": "Container-Block-IO-ecs",
            "type": "visualization",
            "version": 1
        },
        {
            "attributes": {
                "description": "Overview of container metrics",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlightAll\": true, \"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": [], \"version\": true}"
                },
                "optionsJSON": "{\"darkTheme\": false}",
                "panelsJSON": "[{\"col\": 1, \"id\": \"Container-CPU-usage-ecs\", \"row\": 2, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 12, \"panelIndex\": 2}, {\"col\": 1, \"id\": \"System-Navigation-ecs\", \"row\": 1, \"type\": \"visualization\", \"size_y\": 1, \"size_x\": 12, \"panelIndex\": 3}, {\"col\": 1, \"id\": \"Container-Memory-stats-ecs\", \"row\": 5, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 12, \"panelIndex\": 4}, {\"col\": 1, \"id\": \"Container-Block-IO-ecs\", \"row\": 8, \"type\": \"visualization\", \"size_y\": 4, \"size_x\": 12, \"panelIndex\": 5}]",
                "timeRestore": false,
                "title": "[Metricbeat System] Containers overview ECS",
                "uiStateJSON": "{\"P-2\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}, \"P-4\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}, \"P-5\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}}",
                "version": 1
            },
            "id": "CPU-slash-Memory-per-container-ecs",
            "type": "dashboard",
            "version": 1
        }
    ],
    "version": "6.0.0-rc1-SNAPSHOT"
}